# Copyright (c) 2022, XhiveFramework Technologies Pvt. Ltd. and Contributors
# MIT License. See license.txt

import xhiveframework


def execute():
	doctypes = xhiveframework.get_all("DocType", {"module": "Data Migration", "custom": 0}, pluck="name")
	for doctype in doctypes:
		xhiveframework.delete_doc("DocType", doctype, ignore_missing=True)

	xhiveframework.delete_doc("Module Def", "Data Migration", ignore_missing=True, force=True)
